flink-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stephan Ewen <se...@apache.org>
Subject Re: web-dashboard Bower dependencies
Date Sun, 17 Jan 2016 18:04:24 GMT
Hi!

I agree, fuzzy versions are not good here. Rebuilding from the code should
lead to deterministic results, and not pull updates automagically without a
developer explicitly updating a dependency version.

If you want, replace the fuzzy versions by fix ones. Until then, I would
simply reset changes on vendor.css and vendor.js before committing code
that rebuilds the web dashboard.

Greetings,
Stephan


On Fri, Jan 15, 2016 at 8:31 PM, Greg Hogan <code@greghogan.com> wrote:

> Happy Friday,
>
> I am looking to submit a pull request for FLINK-3160 which updates files in
> flink-runtime-web. What is the proper way to handle updated dependencies
> from bower.json? For example, bootstrap is specified with version "~3.3.5"
> which permits the patch update to 3.3.6. When I run `npm install && bower
> install && gulp` from a clean repo the modified files are
> web/css/vendor.css and web/js/vendor.js.
>
> Should I simply avoid these files in my pull request?
>
> Should I create a new ticket for the patch update?
>
> Would it be better to fix the Bower versions (removing the ~'s) and use
> npm-check-updates periodically to also check for patch releases?
>
>   sudo npm install -g npm-check-updates
>   ncu --packageManager bower
>
> FYI, here are the currently available major/minor updates:
>
>  jquery           ~2.1.4  →   ~2.2.0
>  angular         ~1.3.15  →   ~1.4.8
>  angular-moment   ~0.9.2  →  ~0.10.3
>  font-awesome     ~4.3.0  →   ~4.5.0
>
> Thanks,
> Greg
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message